Bug 44283 - Missing iPhone 7 and Apple Watch Series 2 simulators
Summary: Missing iPhone 7 and Apple Watch Series 2 simulators
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: iOS add-in (show other bugs)
Version: 6.1.0 (C8)
Hardware: PC Mac OS
: Normal normal
Target Milestone: (C8SR0)
Assignee: Vincent Dondain [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2016-09-14 09:36 UTC by Vincent Dondain [MSFT]
Modified: 2016-09-19 13:18 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Vincent Dondain [MSFT] 2016-09-14 09:36:28 UTC
Xamarin Studio 6.1.0.5441 that is currently in stable is missing the newest simulators from Xcode8.
Comment 1 Vincent Dondain [MSFT] 2016-09-14 09:37:37 UTC
Fixed in md-addins:master (cbb1fd28d5365d291f4269d90138b0f573702584) and cycle8 PR (https://github.com/xamarin/maciostools/pull/37).
Comment 2 Kyle White 2016-09-15 20:30:42 UTC
I have verified with on master that the simulators are now showing correctly. 

iPhone 7 
iPhone 7 Plus
iPad Pro 9.7
iPad Pro 12.9
Apple Watch Series 2 42mm
Apple Watch Series 2 38mm

The above are all present and I am able to launch/debug applications on them.

Will verify the bug again on release branch when it's merged. 

Build Information
Release ID: 602000494
Git revision: f6483f8a1c6d0790f2d8033a7e4d55e09b57a8bd
Build date: 2016-09-15 06:52:55-04
Xamarin addins: 3291a5df0a089370476aa9b24a4d4996e1df5479
Build lane: monodevelop-lion-master
Comment 3 Shruti 2016-09-19 13:03:25 UTC
I have verified this issue with latest C8SR0 XS 6.1.1.7 and observed that all simulators mentioned in comment(2) are showing correctly in dropdown and app is launching/debugging successfully on them.


Build Information:
XS 6.1.1 (build 7)
Release ID: 601010007
Git revision: d8b32f2e91a12d368b5653aa035cde654d38bd53
Build date: 2016-09-19 06:04:49-04
Xamarin addins: ce49b5fab3034cfd40dbb3132d5cf1377e6a82ea
Build lane: monodevelop-lion-cycle8-sr0
Comment 4 Shruti 2016-09-19 13:18:12 UTC
Also working fine same behaviour as described in comment(3) with C8 XS Version 6.1.2 (build 3) 

Build Information
Release ID: 601020003
Git revision: 810b88f0ab11307f0258f993e10ec04431aa4036
Build date: 2016-09-19 06:05:39-04
Xamarin addins: 6752c390a3757566d9efef323bbedce1ebaeed98
Build lane: monodevelop-lion-cycle8